(function() {
	var downloader = {
		start: function(url, success, failure) {
			var dtask = plus.downloader.createDownload(url, {
				method: "GET"
			}, function(d, status) {
				if(status == 200) {
					if(typeof success == 'function') {
						success(d);
					}
				} else {
					if(typeof failure == 'function') {
						failure();
					}
				}
			});
			dtask.addEventListener('statechanged', function(d, status) {
				//			console.log("statechanged: " + d.state);
			});
			dtask.start();
		}
	}
	var updater = {
		url: '/v1/upgrade/check',
		autoStart: false,
		appid: 'H5F9FDD7Aa',
		platform: 1,
		version: '1.0.0.0'
	};
	updater.check = function() {
		console.log(req_url + "/v1/upgrade/check");
		mui.ajax(req_url + '/v1/upgrade/check', {
			data: {
				'appid': updater.appid,
				'platform': updater.platform,
				'version': updater.version
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'GET', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			success: function(data) {
				//alert(JSON.stringify(data));
				if(data.code == 1) {
					plus.nativeUI.confirm("发现新版本,需要更新!", function(e) {
						plus.nativeUI.showWaiting("升级中...");
						downloader.start(data.data.url, function(d) {
							plus.runtime.install(d.filename, {}, function() {
								plus.nativeUI.closeWaiting();
								plus.nativeUI.confirm("升级成功，需要重启", function(e) {
									plus.runtime.restart();
								}, "重启", ["确定"]);
							}, function(e) {
								plus.nativeUI.closeWaiting();
								plus.nativeUI.alert("升级失败");
								plus.runtime.quit();
							});
						}, function() {
							plus.nativeUI.closeWaiting();
							plus.nativeUI.alert("下载失败");
							plus.runtime.quit();
						});
					}, "更新提示", ["确定"]);
				} else {
					//mui.alert(data.msg, "升级提示", "确定", function() {});
				}
			},
			error: function(data, error) {
				//mui.alert("网络错误", "升级提示", "确定", function() {});
			}
		});
	}
	updater.update = function() {
		updater.check();
	}
	var plusReady = function() {
		plus.runtime.getProperty(plus.runtime.appid, function(wgt) {
			updater.appid = APP_ID;
			updater.version = wgt.version;
			updater.platform = plus.os.name.toUpperCase() == "ANDROID" ? 1 : 2;
			updater.check();
		});
	}
	if(window.plus) {
		plusReady();
	} else {
		document.addEventListener('plusready', plusReady, false);
	}
})()